Package Details: emacs-icicles 2:2022.01.26.r23741-1

Git Clone URL: https://aur.archlinux.org/emacs-icicles.git (read-only, click to copy)
Package Base: emacs-icicles
Description: an emacs library that enhances minibuffer completion
Upstream URL: https://www.emacswiki.org/emacs/Icicles
Licenses: GPL
Submitter: richardmurri
Maintainer: haawda
Last Packager: haawda
Votes: 19
Popularity: 0.000000
First Submitted: 2010-03-30 22:39 (UTC)
Last Updated: 2022-02-20 16:38 (UTC)

Latest Comments

haawda commented on 2011-04-14 12:28 (UTC)

Update

haawda commented on 2011-04-02 20:05 (UTC)

This comes with ring+ now and builds without ring+ being installed, so that package was dropped. I had to put a "|| true" at the end of the emacs-batch-run, otherwise the build stopped and no package was created. There is an error message about a missing ] in line 67 of get-icicles.sh, but the ] is not missing and the script goes on running.

haawda commented on 2011-02-23 18:56 (UTC)

Updated.

rogorido commented on 2011-02-22 19:22 (UTC)

first of all, thx again for providing the package. Just two things: 1) I get an error because the md5sum is not correct. 2) bbdb is working again! (the TAB completion in gnus-message was not working)

rogorido commented on 2011-01-11 22:55 (UTC)

I think the icicles is breaking bbdb...

rogorido commented on 2011-01-11 20:14 (UTC)

sorry: the error had not nothing to do with the packages. It was a mistake of mine. i'll try now your updates. thnaks!

haawda commented on 2011-01-11 19:53 (UTC)

Both ring+ and icicles were updated upstream. That made the md5sums change. I will try to implement a workflow that makes me aware of such changes. What exactly did you do to get that error message? Maybe it is a good idea to delete the entire src-directory before building.

rogorido commented on 2011-01-10 23:37 (UTC)

thanks for providing the package. There are some issues however: 1. the md5sums of this package and ring+ are not correct. 2. after compiling I can not load icicles in emacs. I get this error: byte-code: Cannot open load file: icicles-cmd

haawda commented on 2011-01-02 15:35 (UTC)

Updated and fixed install file.

commented on 2010-12-31 12:26 (UTC)

Targets (1): emacs-icicles-22.0.22767-2 .. Proceed with installation? [Y/n] checking package integrity... (1/1) checking for file conflicts [#####################] 100% (1/1) installing emacs-icicles [#####################] 100% Put this code into your ~/.emacs (setq load-path (cons "/usr/share/emacs/site-lisp/icicles" load-path))) (require 'icicles) Documentation can be found at http://www.emacswiki.org/emacs/Icicles 1 to many ) in setq line, at the end ?

haawda commented on 2010-11-03 15:23 (UTC)

One ")" was missing in the install file. Corrected.

haawda commented on 2010-11-03 12:52 (UTC)

Adopted, added new dependency for emacs-ring+, took version number from icicles.el.

commented on 2010-10-01 11:01 (UTC)

If there is: HTTP request sent, awaiting response... 503 SERVICE UNAVAILABLE you can just change `sleep 2' to `sleep 4' in `get-icicles.sh'